#
# spec file for package pagemon
#
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pagemon
Version:        0.01.08
Release:        1.1
Summary:        Interactive memory/page monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/pagemon
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pagemon is a ncurses based interactive memory/page monitoring tool
allowing one to browse the memory map of an active running process
on Linux.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README
%{_sbindir}/pagemon
%{_mandir}/man8/*

%changelog
* Thu Feb 18 2016 mardnh@gmx.de
- initial package
